NTSecApi.LSA_UNICODE_STRING (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: NTSecApi, class: LSA_UNICODE_STRING

Package com.sun.jna.platform.win32

# Class NTSecApi.LSA_UNICODE_STRING

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.NTSecApi.LSA_UNICODE_STRING

Direct Known Subclasses:
  `NTSecApi.LSA_UNICODE_STRING.ByReference`

Enclosing interface:
  NTSecApi

@FieldOrder({"Length","MaximumLength","Buffer"}) public static class NTSecApi.LSA_UNICODE_STRING extends Structure
The LSA_UNICODE_STRING structure is used by various Local Security Authority (LSA) functions to specify a Unicode string.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `NTSecApi.LSA_UNICODE_STRING.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Pointer`
  `Buffer`
  Pointer to a wide character string.
  `short`
  `Length`
  Specifies the length, in bytes, of the string pointed to by the Buffer member, not including the terminating null character, if any.
  `short`
  `MaximumLength`
  Specifies the total size, in bytes, of the memory allocated for Buffer.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LSA_UNICODE_STRING()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getString()`
  String representation of the buffer.

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### Length

    public short Length
    Specifies the length, in bytes, of the string pointed to by the Buffer member, not including the terminating null character, if any.

  - ### MaximumLength

    public short MaximumLength
    Specifies the total size, in bytes, of the memory allocated for Buffer. Up to MaximumLength bytes can be written into the buffer without trampling memory.

  - ### Buffer

    public Pointer Buffer
    Pointer to a wide character string. Note that the strings returned by the various LSA functions might not be null terminated.

- ## Constructor Details

  - ### LSA_UNICODE_STRING

    public LSA_UNICODE_STRING()

- ## Method Details

  - ### getString

    public String getString()
    String representation of the buffer.
    Returns:
      Unicode string.